geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrig <andrig.t.mil...@gmail.com>
Subject Re: Building Apache Day Trader for JBoss
Date Tue, 12 May 2009 13:51:13 GMT

I just wanted to let you know that I did get things deploying cleanly and
running without errors.

Thanks for the help.

Andy


dwoods wrote:
> 
> Try using the following Daytrader branch and a 2.1 Server instead of trunk
> -
> https://svn.apache.org/repos/asf/geronimo/daytrader/branches/2.1.3/
> 
> 
> -Donald
> 
> 
> Andrig wrote:
>> 
>> 
>> kevan wrote:
>>>
>>> On May 4, 2009, at 9:31 PM, Andrig wrote:
>>>
>>>> I have another missing artifact.  If you could point me in the right
>>>> direction on where to get it, it would be appreciated:
>>>>
>>>> [INFO]
>>>> ------------------------------------------------------------------------
>>>> [ERROR] BUILD ERROR
>>>> [INFO]
>>>> ------------------------------------------------------------------------
>>>> [INFO] Failed to resolve artifact.
>>>>
>>>> Missing:
>>>> ----------
>>>> 1) org.apache.openejb:ejb31-api-experimental:jar:3.1.1-SNAPSHOT
>>>>
>>>>  Try downloading the file manually from the project website.
>>>>
>>>>  Then, install it using the command:
>>>>      mvn install:install-file -DgroupId=org.apache.openejb
>>>> -DartifactId=ejb31-api-experimental -Dversion=3.1.1-SNAPSHOT - 
>>>> Dpackaging=jar
>>>> -Dfile=/path/to/file
>>>>
>>>>  Alternatively, if you host your own repository you can deploy the  
>>>> file
>>>> there:
>>>>      mvn deploy:deploy-file -DgroupId=org.apache.openejb
>>>> -DartifactId=ejb31-api-experimental -Dversion=3.1.1-SNAPSHOT - 
>>>> Dpackaging=jar
>>>> -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
>>>>
>>>>  Path to dependency:
>>>>  	1)
>>>> org.apache.geronimo.daytrader:daytrader-derby-datasource:car:2.2- 
>>>> SNAPSHOT
>>>>  	2) org.apache.geronimo.configs:system-database:car:2.2-SNAPSHOT
>>>>  	3) org.apache.geronimo.configs:transaction:car:2.2-SNAPSHOT
>>>>  	4) org.apache.geronimo.configs:j2ee-server:car:2.2-SNAPSHOT
>>>>  	5) org.apache.geronimo.framework:rmi-naming:car:2.2-SNAPSHOT
>>>>  	6) org.apache.geronimo.framework:jee-specs:car:2.2-SNAPSHOT
>>>>  	7) org.apache.openejb:ejb31-api-experimental:jar:3.1.1-SNAPSHOT
>>> OpenEJB has moved the location of their SNAPSHOT repository. Adding  
>>> the following to your pom.xml in the <repositories> section should fix
 
>>> our problem. However, I'm a bit confused by the version numbers that  
>>> your missing. What version of DayTrader are you trying to build?
>>>
>>>          <repository>
>>>              <id>apache.nexus.snapshots</id>
>>>              <name>Apache Nexus Repository</name>
>>>             
>>> <url>https://repository.apache.org/content/repositories/snapshots 
>>> </url>
>>>              <layout>default</layout>
>>>              <snapshots>
>>>                  <enabled>true</enabled>
>>>                  <updatePolicy>daily</updatePolicy>
>>>                  <checksumPolicy>ignore</checksumPolicy>
>>>              </snapshots>
>>>              <releases>
>>>                  <enabled>false</enabled>
>>>              </releases>
>>>          </repository>
>>>
>>> --kevan
>>>
>>>
>> 
>> I will try this change, but I have checked out trunk, because that's the
>> version that is based on EE 5, and that's what I needed.
>> 
> 
> 

-- 
View this message in context: http://www.nabble.com/Building-Apache-Day-Trader-for-JBoss-tp23370818s134p23503023.html
Sent from the Apache Geronimo - Users mailing list archive at Nabble.com.


Mime
View raw message